#ifndef _ACPI_HH_
#define _ACPI_HH_

#include <string>
#include <hwdb.hh>

namespace libhw
{
  class acpi {
    hwdb &hwlist_;
    hwdb acpidb;
  public:
    acpi(hwdb & hwlist);
    int operator() (std::string path, pot::attrs_t node);
  private:
    void read_sysfs_context(const char* sysdir);
  };
}

#endif

