#ifndef _HWLIST_HH_
#define _HWLIST_HH_

#include <pot.hh>
#include <string>
#include <set>
#include <iostream>


namespace libhw
{
  class hwlist: public pot
  {
  public:
    std::set <std::string> hwid_keys;
    hwlist();
    void show_attr(std::string path)
    {
      attrs_t attr = tree_[path];
      for(attrs_t::iterator it = attr.begin();it != attr.end(); ++it)
	std::cout << (*it).first << "\t:\t" << (*it).second << std::endl;
    }

    void copy_attr(std::string leaf,  pot::node node)
    {
      node.for_each_key((*this)[leaf]);
    }
    void genhwid(const char* path);
    std::string calccrc(std::string path,pot::attrs_t node);
  };

}



#endif
