#ifndef _MOUSE_HH_
#define _MOUSE_HH_

#include <hwdb.hh>
#include <string>

namespace libhw
{
#define PROC_INPUT_DEVICES "/proc/bus/input/devices"

  class mouse
  {
  public:
    hwdb& hwlist_;
    hwdb  mousedb;
    int debug;
    mouse(hwdb & hwlist);
    void show();
    int operator() (std::string path, pot::attrs_t node);
  private:
    std::string read_mouse();
    std::string merge_bits(const char *line);
    bool test_bit(const char *str,unsigned bit);
  };
}


#endif // _MOUSE_HH_
