#ifndef _UTILS_H_
#define _UTILS_H_

#include <vector>

namespace tools
{
  int splitline(const std::string & s, std::vector < std::string > & lines, const char separator[2] = "\n", int num = 0);
  std::string strip(const std::string & s);
  std::string hexformat(const int, const int = 0);
  std::string intformat(const int, const int = 0);
  std::string join(const std::vector<std::string> & input, const char* delim = " ", unsigned int size = 0 );
 
}

#endif
