#ifndef UTILS_HH__
#define UTILS_HH__
#include <sys/select.h>
#include <unistd.h>
#include <algorithm>
#include <string>
#include <iosfwd>

namespace alt
{
	std::string
	trim_left(const std::string& str);

	std::string 
	trim_right(const std::string& str);

	bool
	starts_with(const std::string& str, const std::string& start,
			std::string::size_type pos = 0);

	std::string cut_until_slash(std::string& str);

	std::string cut_tail_until_slash(std::string& str);
	
	std::string
	strip_slash(const std::string&);

	std::string
	ensure_slash(const std::string&);
};

#endif // UTILS_HH__

